<?php

/**
 * This file contains the \QUI\Controls\Contextmenu\Separator
 */

namespace QUI\Controls\Contextmenu;

use QUI;
use QUI\Controls\Buttons\Button;

/**
 * \QUI\Controls\Contextmenu\Separator
 *
 * @author  www.pcsg.de (Henning Leutz)
 */
class Separator extends QUI\QDOM
{
    /**
     * The Parent Object
     *
     * @var BarItem|Button|MenuItem|null
     */
    private Button|MenuItem|BarItem|null $Parent = null;

    /**
     * Constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings)
    {
        $this->setAttributes($settings);
        $this->setAttribute('type', 'qui/controls/contextmenu/Separator');
    }

    /**
     * Set the parent
     *
     * @param Button|MenuItem|BarItem $parent
     */
    public function setParent(Button|MenuItem|BarItem $parent): void
    {
        $this->Parent = $parent;
    }

    /**
     * Name of the parent
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }

    /**
     * parse to array
     *
     * @return array
     */
    public function toArray(): array
    {
        return $this->getAttributes();
    }
}
