<?php

/**
 * This file contains the \QUI\Controls\Toolbar\Block
 */

namespace QUI\Controls\Toolbar;

use QUI;

/**
 * Toolbar Block
 *
 * @author www.pcsg.de (Henning Leutz)
 */
class Block extends QUI\QDOM
{
    /**
     * The parent object
     *
     * @var ?Bar
     */
    private ?Bar $Parent = null;

    /**
     * The sub items
     *
     * @var array
     */
    private array $items = [];

    /**
     * Constructor
     *
     * @param array $settings
     */
    public function __construct(array $settings)
    {
        foreach ($settings as $key => $value) {
            $this->setAttribute($key, $value);
        }
    }

    /**
     * Set the parent
     *
     * @param Bar $Parent
     */
    public function setParent(Bar $Parent): void
    {
        $this->Parent = $Parent;
    }

    /**
     * Returns the name
     *
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttribute('name');
    }

    /**
     * Adds a child/item
     *
     * @param Tab $itm
     */
    public function appendChild(Tab $itm): void
    {
        $this->items[] = $itm;
    }
}
